Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Namespaces
InfoStream.h File Reference
`#include "LuceneObject.h"`
`#include <boost/filesystem/fstream.hpp>`

Go to the source code of this file.

## Data Structures

class | Lucene::InfoStream
| Utility class to support streaming info messages. More...
class | Lucene::InfoStreamFile
| Stream override to write messages to a file. More...
class | Lucene::InfoStreamOut
| Stream override to write messages to a std::cout. More...
class | Lucene::InfoStreamNull
| Null stream override to eat messages. More...

## Namespaces

| Lucene

clucene.sourceforge.net